Skip to content
Last updated

title: Get Sync Status keywords:

  • get sync status
  • get
  • sync
  • status

Get connector sync status and statistics.

GEThttps://api.aitronos.com/v1/admin/composio/sync/status

Returns

total_tools integer

Total Tools

enabled_tools integer

Enabled Tools

last_sync_at string or null

Last Sync At

next_sync_at string or null

Next Sync At

sync_interval_hours integer

Sync Interval Hours

incremental_sync_enabled boolean

Incremental Sync Enabled

cURL
curl -X GET "https://api.aitronos.com/v1/admin/composio/sync/status" \
  -H "X-API-Key: $FREDDY_API_KEY"

Response:

200 OK
{
  "total_tools": 42,
  "enabled_tools": 1,
  "last_sync_at": "2025-11-15T10:30:00Z",
  "next_sync_at": "2025-11-15T10:30:00Z",
  "sync_interval_hours": 1,
  "incremental_sync_enabled": false
}